Subject: Polls of MGC (was RE: Implementors' Guide Update Editor's last Ca ll - MGC failure)

From: "Tom-PT Taylor" <[email-masked]>
Date: Tue, 15 May 2001 03:59:01 -0400

Let's follow through the logic here.  A restart implies loss of state.  I
don't care whether you're talking ROOT or a real termination.  It would be
inconsistent to declare restart of the latter a no-op.

I'd suggest the safest poll would be a NOTIFY with no events and a bogus
requestID in it.  The MGC has to answer, even if only to return an error,
but the NOTIFY doesn't change anything.

> -----Original Message-----
> From: Boyle, Kevin [NCRTP:3Z70:EXCH] 
> Sent: Monday, May 14, 2001 12:50 PM
> To: Dan Elbert
> Cc: [email-masked]; 'Chuong Nguyen'
> Subject: Re: Implementors' Guide Update Editor's last Call - 
> MGC failure
> 
> 
> Yes.  Root is a special case.  Restart on Root, if it is already in
> service, implies that the MG has gone out of service and returned, and
> that anything that was happening previously is lost.  This 
> was discussed
> on an earlier thread.
> 
> Kevin
> 
> Dan Elbert wrote:
> 
> > Well I was just following the logic that a restart of a termination
> > already in service is a noop. Is the root termination a 
> special case ?
> > . The problem with poll vs restart is the same in any case.
> >
> > -----Original Message-----
> > From: Chuong Nguyen [mailto:[email-masked]]
> > Sent: Monday, May 14, 2001 12:22 PM
> > To: [email-masked]
> > Subject: Re: Implementors' Guide Update Editor's last Call - MGC
> > failure
> >
> >
> > To me definitely NOT.
> > How will MGC knows that it is a registration restarts vs a poll?
> > Don't tell me that one can use Reason Code since Reason 
> Code has to be
> > IANA registered
> > before it can be widely used.
> > But since anyone can register w/IANA at any time, it only means that
> > it might not be supported by
> > everyone.
> >
> > Chuong
> >
> > Dan Elbert wrote:
> >
> > Another thing : Can I then use a restart of the "root" 
> termination to
> > poll the MGC ? It seems to me more clean that to just use any
> > termination.
> >
> > -----Original Message-----
> > From: Rosen, Brian [mailto:[email-masked]]
> > Sent: Monday, May 14, 2001 12:00 PM
> > To: 'Dan Elbert'; [email-masked]'; 'Chuong Nguyen'
> > Subject: RE: Implementors' Guide Update Editor's last Call - MGC
> > failure
> >
> > I think that a restart of a termination that is already in service
> > should be treated
> >
> > as a nop by an MGC.
> >
> > I have no objection to adding an explicit no-op method, but I don't
> > think it is needed.
> >
> > Brian
> > -----Original Message-----
> >
> > From: Dan Elbert [mailto:[email-masked]]
> > Sent: Friday, May 11, 2001 5:57 PM
> > To: [email-masked]'; 'Chuong Nguyen'
> > Subject: RE: Implementors' Guide Update Editor's last Call - MGC
> > failure
> > Using a fully specified terminationID can disrupt the 
> operation of the
> > termination (for example if the termination is in a call).
> >
> > It's not clear what a "bogus" termination is, if the MGC receives a
> > SVC from an MG termination it can assume that this 
> termination is real
> > and start sending audits or commands.
> >
> > Yes, by poll I mean some type of heartbeat as the MG needs 
> to know if
> > the MGC is alive.
> >
> > Brian Rosen suggested in the past to use SVC with Restart method for
> > this purpose, I don't think that there was any mantion if 
> this should
> > be done with id=root or other.
> >
> > Dan
> > -----Original Message-----
> >
> > From: Chuong Nguyen [mailto:[email-masked]]
> > Sent: Friday, May 11, 2001 5:38 PM
> > To: [email-masked]
> > Subject: Re: Implementors' Guide Update Editor's last Call - MGC
> > failure
> >
> > The intend was not to use ROOT but a fully specified 
> terminationID or
> > even better a
> > known invalid terminationID (A bogus terminationID that the sender
> > knows is not valid and is
> > used specifically for heartbeat purpose).  The idea is to get some
> > kind of responses.
> >
> > "poll" do you mean heartbeat like msg to from MG to MGC or something
> > else here.
> >
> > Where did you see that Restart w/ROOT is used as a heartbeat/poll?
> >
> > Chuong
> >
> > Dan Elbert wrote:
> > Hi
> >
> > After reviewing the issue of MGC failure ( when the MG is connected
> > trough UDP ) I believe that there is no satisfactory way 
> for the MG to
> > poll the MGC to see if the MGC is still alive. Using a ServiceChange
> > with "Restart" method and termination id of "root" may cause the MGC
> > to assume that the MG restarted and can affect the state of 
> a call in
> > progress.
> >
> > I think that it would be good to add a ServiceChange method "noop" :
> >
> > Noop : Can be used by the MG (with unreliable protocols) to obtain a
> > response from the MGC or detect a communication failure. When
> > receiving this SVC the MGC should take no action other that reply.
> >
> > If this is not acceptable, then I think that some clarification is
> > needed as when a SVC with restart method should be considered "noop"
> > by the MGC.
> >
> > Dan Elbert
> >
> > RADVISION
> >
> > --
> >
> >   Alcatel USA, Inc             Internet: 
> [email-masked]
> >
> >   1000 Coit Road Plano, Texas 75075           Phone:    
> (972) 519-4613
> >
> >   **** The opinions expressed are not those of Alcatel USA, Inc ****
> >
> > --
> >
> >   Alcatel USA, Inc             Internet: 
> [email-masked]
> >
> >   1000 Coit Road Plano, Texas 75075           Phone:    
> (972) 519-4613
> >
> >   **** The opinions expressed are not those of Alcatel USA, Inc ****
> >
> 
>